%define upstream_name    File-Fetch
%define upstream_version 0.56

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A generic file fetching mechanism
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec) >= 0.820.0
BuildRequires: perl(IPC::Cmd) >= 0.420.0
BuildRequires: perl(Locale::Maketext::Simple)
BuildRequires: perl(Module::Load::Conditional) >= 0.40.0
BuildRequires: perl(Params::Check) >= 0.70.0
BuildRequires: perl(Test::More)
BuildRequires: perl(version)
BuildArch:  noarch

%description
File::Fetch is a generic file fetching mechanism.

It allows you to fetch any file pointed to by a ftp, http, file, or rsync uri
by a number of different means.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# requires internet access

%install
%make_install

%files 
%doc CHANGES META.json META.yml MYMETA.yml README
%{perl_vendorlib}/File
%{_mandir}/*/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.560.0-3.mga8
+ Revision: 1504466
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.560.0-2.mga7
+ Revision: 1283664
- Mageia 7 Mass Rebuild

* Mon May 07 2018 guillomovitch <guillomovitch> 0.560.0-1.mga7
+ Revision: 1227482
- new version 0.56
  disable tests, unusable without internet access

* Sun Jun 19 2016 pterjan <pterjan> 0.480.0-6.mga6
+ Revision: 1027296
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.480.0-5.mga6
+ Revision: 949694
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.480.0-4.mga5
+ Revision: 790206
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.480.0-3.mga5
+ Revision: 738870
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.480.0-2.mga5
+ Revision: 684720
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 0.480.0-1.mga5
+ Revision: 587950
- update to 0.48

* Sat Oct 19 2013 umeabot <umeabot> 0.420.0-2.mga4
+ Revision: 526270
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 jquelin <jquelin> 0.420.0-1.mga4
+ Revision: 436402
- update to 0.42

* Wed Mar 27 2013 jquelin <jquelin> 0.360.0-6.mga3
+ Revision: 405483
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.360.0-5.mga3
+ Revision: 367188
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 0.360.0-4.mga3
+ Revision: 315518
- perl 5.16.2 rebuild

* Mon Sep 17 2012 jquelin <jquelin> 0.360.0-3.mga3
+ Revision: 294845
- perl 5.16.1 rebuild

* Mon Aug 27 2012 jquelin <jquelin> 0.360.0-2.mga3
+ Revision: 284585
- perl 5.16.1 rebuild

* Mon Jul 02 2012 jquelin <jquelin> 0.360.0-1.mga3
+ Revision: 266663
- update to 0.36

* Mon Jun 04 2012 jquelin <jquelin> 0.340.0-1.mga3
+ Revision: 254114
- update to 0.34

* Fri Feb 18 2011 jquelin <jquelin> 0.320.0-2.mga1
+ Revision: 53612
- rebuild

* Wed Feb 16 2011 jquelin <jquelin> 0.320.0-1.mga1
+ Revision: 52387
- update to 0.32

* Thu Jan 20 2011 jquelin <jquelin> 0.280.0-1.mga1
+ Revision: 26153
- mageia rebuild
- imported package perl-File-Fetch


* Sat Nov 13 2010 Jérôme Quelin <jquelin@mandriva.org> 0.280.0-1mdv2011.0
+ Revision: 597101
- update to 0.28

* Thu Jan 07 2010 Jérôme Quelin <jquelin@mandriva.org> 0.240.0-1mdv2011.0
+ Revision: 487043
- update to 0.24

* Sun Nov 22 2009 Jérôme Quelin <jquelin@mandriva.org> 0.220.0-1mdv2010.1
+ Revision: 468939
- update to 0.22

* Wed Aug 05 2009 Jérôme Quelin <jquelin@mandriva.org> 0.200.0-2mdv2010.0
+ Revision: 410182
- fix buildrequires
- force rebuild
- rebuild using %%perl_convert_version

* Sun Jun 28 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.20-1mdv2010.0
+ Revision: 390329
- update to new version 0.20

* Sun Dec 28 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.18-1mdv2009.1
+ Revision: 320560
- update to new version 0.18

* Sat Oct 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.16-1mdv2009.1
+ Revision: 292159
- update to new version 0.16

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.14-3mdv2009.0
+ Revision: 256879
- rebuild

* Wed Dec 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.14-1mdv2008.1
+ Revision: 138046
- update to new version 0.14

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Nov 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.12-1mdv2008.1
+ Revision: 105343
- fix build dependencies
- new version
- update to new version 0.12


* Tue Mar 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.10-1mdv2007.0
+ Revision: 133684
- new version
- Import perl-File-Fetch

* Sat Aug 05 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.08-1mdv2007.0
- New version 0.08
- drop patch 0 (merged)

* Fri Jun 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.07-2mdv2007.0
- fix handlers return status (CPAN bug #18942)

* Mon Apr 24 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.07-1mdk
- first mdk release

